%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-naming
Version:          5.0.6
Release:          %mkrel 0.12%{namedreltag}.1
Group:            Development/Java
Summary:          JBoss Naming
License:          LGPLv2+
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/naming/tags/5.0.6.CR1/ jboss-naming-5.0.6.CR1
# tar cafJ jboss-naming-5.0.6.CR1.tar.xz jboss-naming-5.0.6.CR1
Source0:          %{name}-%{namedversion}.tar.xz

Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jboss-common-core
BuildRequires:    jboss-logging
BuildRequires:    jboss-parent
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    rmic-maven-plugin

%description
The JBoss JNDI name server implementation.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%mvn_file ':jnp-{client,server}' %{name}-@1

%build
# No jboss-test and jboss-kernel packages
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc JBossORG-EULA.txt

%files javadoc -f .mfiles-javadoc
%doc JBossORG-EULA.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 5.0.6-0.12.CR1.1.mga6
+ Revision: 977143
- sync package jboss-naming with fedora
- imported package jboss-naming

* Wed Oct 15 2014 umeabot <umeabot> 5.0.6-0.4.CR1.8.mga5
+ Revision: 749185
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 5.0.6-0.4.CR1.6.mga4
+ Revision: 565257
- Build with xmvn
- Remove jboss-logging-spi from deps
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.0.6-0.4.CR1.2.mga3
+ Revision: 355095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 5.0.6-0.4.CR1.1.mga3
+ Revision: 291786
- Add pom file

* Sun Feb 19 2012 gil <gil> 5.0.6-0.1.CR1.1.mga3
+ Revision: 210996
- imported package jboss-naming


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.6-0.12.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-0.11.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 08 2014 Michael Simacek <msimacek@redhat.com> - 5.0.6-0.10.CR1
- Use mvn_build (fixes 992603)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-0.9.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 5.0.6-0.8.CR1
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-0.7.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-0.6.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 5.0.6-0.5.CR1
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 5.0.6-0.4.CR1
- Added BR: maven-enforcer-plugin

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.6-0.3.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> 5.0.6-0.2.CR1
- Cleanup of the spec file

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 5.0.6-0.1.CR1
- Initial packaging
